import { dialogVariants } from "./variants"

import type { DialogProps } from "@/types/components/search"

export default function Dialog({
  children,
  className,
  getMenuProps,
  variant,
}: DialogProps) {
  const classNames = dialogVariants({ className, variant })
  return <div {...getMenuProps({ className: classNames })}>{children}</div>
}
